PostgreSQL 7.2.1 Documentation
Prev |  | Next

# clear

## Name

clear -- clear a database table

## Synopsis

    clear(table, [a])

### Parameters

`table`

  Name of table.

[`a`]

  A dictionary of values.

### Return Type

dictionary

  A dictionary with an empty row.

## Description

This method clears all the attributes to values determined by the types. Numeric types are set to 0, dates are set to `'today'` and everything else is set to the empty string. If the array argument is present, it is used as the array and any entries matching attribute names are cleared with everything else left unchanged.

Prev | Home | Next
update | Up | delete